<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@description  página en la que se muestran los trámites que tiene un ejecutor para una comisión
@cu CU-CO-A-04
@version 2.0

-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" id="tramitesEjecutorComisionForm" prependId="false">

    <p:spacer height="20" width="1"/>

    <p:outputPanel layout="block" style="text-align: center">
        <h:panelGrid columns="3" width="100%">
            <h:panelGroup>
                <h:outputLabel value="Número de comisión: " styleClass="outputLabelStyle"/>
                <h:outputText value="#{manejoComisionesTramites.selectedComision.numero}" styleClass="outputTextStyle"/>
            </h:panelGroup>
            <p:spacer width="50" height="1"/>
            <h:panelGroup>
                <h:outputLabel value="Ejecutor: " styleClass="outputLabelStyle"/>
                <h:outputText value="#{manejoComisionesTramites.selectedEjecutorComision.nombreFuncionarioEjecutor}"
                              styleClass="outputTextStyle"/>
            </h:panelGroup>
        </h:panelGrid>
    </p:outputPanel>

    <p:spacer height="30" width="1"/>
    <p:dataTable value="#{manejoComisionesTramites.tramitesEjecutorComision}"
                 var="tramiteEjecutorComision"
                 id="tramitesEjecutorComisionDT"
                 paginator="true" rows="10"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 paginatorPosition="bottom"
                 rowsPerPageTemplate="5,10,20"
                 emptyMessage="No se encontraron trámites" widgetVar="tramitesEjecutorComisionDTWV">

        <p:column headerText="Número de radicación">
            <h:outputText value="#{tramiteEjecutorComision.numeroRadicacion}"/>
        </p:column>

        <p:column headerText="Fecha de radicación">
            <h:outputText value="#{tramiteEjecutorComision.fechaRadicacion}"
                          styleClass="outputTextStyleInTable">
                <f:convertDateTime pattern="#{general.formatoFechaComponenteCalendar}" />
            </h:outputText>
        </p:column>

        <p:column headerText="Tipo de trámite">
            <h:outputText value="#{tramiteEjecutorComision.tipoTramiteCadenaCompleto}" 
                          styleClass="outputTextStyleInTable"/>
        </p:column>

        <p:column headerText="Departamento">
            <h:outputText value="#{tramiteEjecutorComision.departamento.nombre}"
                          styleClass="outputTextStyleInTable"/>
        </p:column>

        <p:column headerText="Municipio">
            <h:outputText value="#{tramiteEjecutorComision.municipio.nombre}"
                          styleClass="outputTextStyleInTable"/>
        </p:column>

        <p:column headerText="Número predial">
            <h:outputText value="#{tramiteEjecutorComision.predio.numeroPredial}"
                          styleClass="outputTextStyleInTable"/>
        </p:column>

    </p:dataTable>

    <p:spacer width="0" height="30"/>
    <p:outputPanel layout="block" style="text-align: right">
        <p:spacer width="20" height="0" />
        <p:commandButton value="Cerrar"
                         onclick="tramitesEjecutorComisionModalWV.hide();"/>
    </p:outputPanel>


</h:form>

